<?xml version="1.0" encoding="utf-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context.xsd">

    <context:component-scan base-package="me.chyxion.tigon.codegen.controller" />
    <!-- Tool -->
    <bean class="me.chyxion.tigon.codegen.service.CodeGenBaseTool" />

    <!--Services -->
    <bean class="me.chyxion.tigon.codegen.service.support.CodeGenServiceSupport" />
    <bean class="me.chyxion.tigon.codegen.service.support.ControllerCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.ControllerTestCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.MapperCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.MapperTestCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.MapperXmlCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.ModelCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.ServiceCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.TableCodeGen" />
    <bean class="me.chyxion.tigon.codegen.service.support.ViewCodeGen" />

</beans>
